function gui_text(str)

	--設定する文字
	--str

	--改行置き換え
	str = string.gsub(str,"\\n","\n");

	i=1
	--改行コードの数を数える
	for word in string.gmatch(str, "(%w+)\n") do
		i=i+1
	end

	--規定となる最初の表示高さを求める
	stry= 244 - (i*12)

	if(str ~= nil)then
		gui.text(0,stry,str)
	end

end


--テキストをクリアする
function gui_text_clear()
	gui_text(" \n \n \n")
end


--メインルーチン
--ファイル読み込み
fp = io.open("mm2subtitle.txt")

--フレームカウント取得
framecount = tonumber(movie.framecount())

while (true) do

	--1行読み込み
	line = fp:read("*l")

	--データがなかったら抜ける
	if(line == nil)then
		do break end
	end

	--lineを分割する
	jimaku_table = {}
	i=0
	for w in string.gmatch(line, "%w+") do
		jimaku_table[i] = w
		i=i+1
	end

	--Luaはcontineができないので代わりのフラグ
	continue_flag = false

	--値設定
	--表示開始フレーム（必須）
	if(jimaku_table[0] ~= nil)then
		display_frame = tonumber(jimaku_table[0])
	else
		continue_flag = true
	end

	--表示終了フレーム
	if(jimaku_table[0] ~= nil and jimaku_table[1] ~= nil)then
		display_end_frame = tonumber(jimaku_table[0]) + tonumber(jimaku_table[1])
	else
		display_end_frame = tonumber(jimaku_table[0]) + 300
	end

	--テキスト読み込み
	line = fp:read("*l")
	
	--データがなかったら抜ける
	if(line == nil)then
		do break end
	end

	--表示テキスト
	text = line


	--表示開始
	if(continue_flag == false)then

		--表示開始フレームまで飛ばす
		while(framecount < display_frame) do
			framecount = tonumber(movie.framecount())
			FCEU.frameadvance()
		end

		--表示フレームと一致した場合はテキストを表示
		if(framecount == display_frame)then
			gui_text(text)
			
			--表示終了フレームまで飛ばす
			while(framecount < display_end_frame)do
				framecount = tonumber(movie.framecount())
				FCEU.frameadvance()
			end
		end

		--テキストクリア
		gui_text_clear()
	end
	

	--次の字幕へ
end


gui.text(10,10,"nukete")
while (true) do
	FCEU.frameadvance()
end